﻿-- Script was generated by Devart dbForge Studio for MySQL, Version 6.0.128.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 05/10/2018 20:42:23
-- Server version: 5.5.5-10.1.32-MariaDB
-- Client version: 4.1

--
-- Definition for database hoja4yii2
--
DROP DATABASE IF EXISTS hoja4yii2;
CREATE DATABASE hoja4yii2
	CHARACTER SET latin1
	COLLATE latin1_spanish_ci;

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

-- 
-- Set default database
--
USE hoja4yii2;

--
-- Definition for table alumnos
--
CREATE TABLE alumnos (
  nif VARCHAR(255) NOT NULL,
  nombre VARCHAR(255) DEFAULT NULL,
  apellidos VARCHAR(255) DEFAULT NULL,
  telefono VARCHAR(255) DEFAULT NULL,
  fechanacimiento DATE DEFAULT NULL,
  direccion VARCHAR(255) DEFAULT NULL,
  poblacion VARCHAR(255) DEFAULT NULL,
  provincia VARCHAR(255) DEFAULT 'Cantabria',
  email VARCHAR(50) DEFAULT NULL,
  foto VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY (nif),
  UNIQUE INDEX UK_alumnos_email (email)
)
ENGINE = INNODB
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

--
-- Definition for table oposiciones
--
CREATE TABLE oposiciones (
  id INT(11) NOT NULL AUTO_INCREMENT,
  nombre VARCHAR(255) DEFAULT NULL,
  organismo VARCHAR(255) DEFAULT NULL,
  escala VARCHAR(255) DEFAULT NULL,
  año VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

--
-- Definition for table preparan
--
CREATE TABLE preparan (
  id INT(11) NOT NULL AUTO_INCREMENT,
  alumno VARCHAR(255) DEFAULT NULL,
  oposicion INT(11) DEFAULT NULL,
  fechaalta DATE DEFAULT NULL,
  fechabaja DATE DEFAULT NULL,
  PRIMARY KEY (id),
  UNIQUE INDEX UK_preparan (alumno, oposicion, fechaalta),
  CONSTRAINT FK_preparan_alumnos_nif FOREIGN KEY (alumno)
    REFERENCES alumnos(nif) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT FK_preparan_oposiciones_id FOREIGN KEY (oposicion)
    REFERENCES oposiciones(id) ON DELETE RESTRICT ON UPDATE RESTRICT
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

--
-- Definition for table pagos
--
CREATE TABLE pagos (
  id INT(11) NOT NULL AUTO_INCREMENT,
  preparan INT(11) DEFAULT NULL,
  fechaPago DATE DEFAULT NULL,
  importe FLOAT DEFAULT NULL,
  PRIMARY KEY (id),
  UNIQUE INDEX UK_pagos (preparan, fechaPago),
  CONSTRAINT FK_pagos_preparan_id FOREIGN KEY (preparan)
    REFERENCES preparan(id) ON DELETE RESTRICT ON UPDATE RESTRICT
)
ENGINE = INNODB
AUTO_INCREMENT = 1
CHARACTER SET latin1
COLLATE latin1_spanish_ci;

-- 
-- Dumping data for table alumnos
--

-- Table hoja4yii2.alumnos does not contain any data (it is empty)

-- 
-- Dumping data for table oposiciones
--

-- Table hoja4yii2.oposiciones does not contain any data (it is empty)

-- 
-- Dumping data for table preparan
--

-- Table hoja4yii2.preparan does not contain any data (it is empty)

-- 
-- Dumping data for table pagos
--

-- Table hoja4yii2.pagos does not contain any data (it is empty)

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;